Bug 137183 - kernel oops & I/O errors with filetransfer from usb2 harddisk
kernel oops & I/O errors with filetransfer from usb2 harddisk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 11:31 EDT by François Kooman
Modified: 2009-01-09 01:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
relevant bits of /var/log/messages (42.72 KB, text/plain)
2004-10-26 11:32 EDT, François Kooman
no flags Details
lspci of this ati chipset machine (10.06 KB, text/plain)
2008-01-13 18:26 EST, François Kooman
no flags Details
dmesg of this ati chip set machine (17.83 KB, text/plain)
2008-01-13 18:26 EST, François Kooman
no flags Details

  None (edit)
Description François Kooman 2004-10-26 11:31:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
Recently I bought a external USB2/firewire case (Vantex NexStar
NST-350UF see:
http://www.extensiontech.net/reviews/tv/vantec/nexstar35/). I'm trying
to use it with FC3-devel.

System:
    * Asus Pundit-R black barebone
    * Intel Pentium 4 2.8GHz
    * 512 MB Dane-Elec memory
    * NEC 3500AG DVD burner
    * 160G Seagate SATA harddisk

The device stops responding while copying files from the usb2 harddisk
to the system harddisk (see attached logmessages.txt) 

The USB harddisk has a 30GB FAT32 filesystem. The USB harddisk works
in WinXP though (tested on a different computer with USB2 ports). It's
working on my laptop as well (fc3-devel usb1 connector).

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.643 kernel-smp-2.6.9-1.643

How reproducible:
Always

Steps to Reproduce:
1. boot fc3-devel
2. powerup usb harddisk
3. connect usb connector while logged in 
4. usb disk icon pops up on desktop
5. double click and start copying some large movie files to the local
harddisk


Actual Results:  After a while the copying will stop and I/O errors
will appear in the /var/log/messages file (see attached logmessages.txt)

Expected Results:  copy should work as on my usb1 laptop but a lot
faster without errors :)

Additional info:
Comment 1 François Kooman 2004-10-26 11:32:28 EDT
Created attachment 105798 [details]
relevant bits of /var/log/messages
Comment 2 François Kooman 2004-10-26 12:09:00 EDT
I tried using the external harddisk with the firewire connection:
works great... 

Forgot to mention: I tried the harddisk with the USB plug with the UP
and SMP kernel.
Comment 3 Dave Jones 2005-10-05 23:57:21 EDT
is this still a problem with the latest errata kernels ?
Comment 4 François Kooman 2005-10-06 05:10:44 EDT
Tested with 2.6.13-1.1526_FC4smp and USB2, seems to be OK now (copying some
distro ISO 600MB to and from the disk)

dmesg on connect: 
usb 1-2: new high speed USB device using ehci_hcd and address 6
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
  Vendor: Maxtor 6  Model: E030L0            Rev: NAR6
  Type:   Direct-Access                      ANSI SCSI revision: 00
usb-storage: device scan complete
SCSI device sda: 60058656 512-byte hdwr sectors (30750 MB)
sda: assuming drive cache: write through
SCSI device sda: 60058656 512-byte hdwr sectors (30750 MB)
sda: assuming drive cache: write through
 sda: sda1
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
SELinux: initialized (dev sda1, type vfat), uses genfs_contexts

mount:
/dev/sda1 on /media/usbdisk type vfat
(rw,nosuid,nodev,_netdev,fscontext=system_u:object_r:removable_t,user=fkooman)

lshal:
[snip]
  usb.vendor = 'Prolific Technology, Inc.'  (string)
  usb.product = 'USB Mass Storage Interface'  (string)
[/snip]

Although (dmesg):

usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6

But after the reset the file transfer continues and completes successfully.
Comment 5 Dave Jones 2005-10-06 15:57:48 EDT
how often do the resets occur ?
Comment 6 Dave Jones 2005-11-10 14:14:42 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 François Kooman 2005-11-10 16:38:24 EST
Plugging in:

hub 3-0:1.0: port 3 disabled by hub (EMI?), re-enabling...
usb 3-3: USB disconnect, address 3
usb 3-3: new low speed USB device using ohci_hcd and address 4
input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:13.1-3
usb 1-2: new high speed USB device using ehci_hcd and address 5
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
  Vendor: Maxtor 6  Model: E030L0            Rev: NAR6
  Type:   Direct-Access                      ANSI SCSI revision: 00
usb-storage: device scan complete
SCSI device sda: 60058656 512-byte hdwr sectors (30750 MB)
sda: assuming drive cache: write through
SCSI device sda: 60058656 512-byte hdwr sectors (30750 MB)
sda: assuming drive cache: write through
 sda: sda1 sda2 < sda5 >
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sda1, type ext3), uses xattr

Copying files from the harddisk to the device:

[fkooman@dilithium Windows 98]$ time cp Windows\ 98-s001.vmdk
/media/usbdisk/home/fkooman/

real    1m14.826s
user    0m0.204s
sys     0m7.172s
[fkooman@dilithium Windows 98]$ ls -l Windows\ 98-s001.vmdk
-rw-------  1 fkooman fkooman 1103298560 nov 10 21:23 Windows 98-s001.vmdk
[fkooman@dilithium Windows 98]$

No problems whatsoever.

From device to harddisk:

This took more than 5 minutes (with lots of warnings):

usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: reset high speed USB device using ehci_hcd and address 5

After the copy/from and to the device I did it a second time, copying to the
device wasn't a problem, but from the second time it got really bad:

usb 1-2: reset high speed USB device using ehci_hcd and address 5
: : :
: : :  15 times
: : : 
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: device descriptor read/64, error -71
usb 1-2: device descriptor read/64, error -71
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: device descriptor read/64, error -71
usb 1-2: device descriptor read/64, error -71
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: device not accepting address 5, error -71
usb 1-2: reset high speed USB device using ehci_hcd and address 5
usb 1-2: device not accepting address 5, error -71
usb 1-2: USB disconnect, address 5
scsi: Device offlined - not ready after error recovery: host 0 channel 0 id 0 lun 0
sd 0:0:0:0: SCSI error: return code = 0x10000
end_request: I/O error, dev sda, sector 26800447
scsi0 (0:0): rejecting I/O to device being removed
sd 0:0:0:0: SCSI error: return code = 0x10000
end_request: I/O error, dev sda, sector 26800687
scsi0 (0:0): rejecting I/O to device being removed
scsi0 (0:0): rejecting I/O to device being removed
scsi0 (0:0): rejecting I/O to device being removed
scsi0 (0:0): rejecting I/O to device being removed
scsi0 (0:0): rejecting I/O to device being removed
scsi0 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda1, logical block 2429
lost page write due to I/O error on sda1
Aborting journal on device sda1.
scsi0 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda1, logical block 2949127
lost page write due to I/O error on sda1
usb 1-2: new high speed USB device using ehci_hcd and address 6
usb 1-2: device descriptor read/64, error -71
usb 1-2: device descriptor read/64, error -71
usb 1-2: new high speed USB device using ehci_hcd and address 7
usb 1-2: device descriptor read/64, error -71
usb 1-2: device descriptor read/64, error -71
usb 1-2: new high speed USB device using ehci_hcd and address 8
usb 1-2: device not accepting address 8, error -71
usb 1-2: new high speed USB device using ehci_hcd and address 9
usb 1-2: device not accepting address 9, error -71
scsi0 (0:0): rejecting I/O to dead device
scsi0 (0:0): rejecting I/O to dead device
scsi0 (0:0): rejecting I/O to dead device
ext3_abort called.
EXT3-fs error (device sda1): ext3_journal_start_sb: Detected aborted journal
Remounting filesystem read-only

It could be a hardware problem (in the USB disk case, the disk is OK I think. I
took it out a few weeks back and used it to install Ubuntu on it, works without
problems.

(this is with the 2.6.14-1.1637_FC4smp kernel btw)
Comment 8 Dave Jones 2006-02-03 00:17:59 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 John Thacker 2006-05-04 08:46:43 EDT
Closing per previous comment.
Comment 10 François Kooman 2008-01-13 18:25:16 EST
This is still an issue in F8, or maybe it is something else, but I have a USB
card reader device now that works perfectly in F8 on a machine with USB2 add-on
card and on a Windows XP laptop with USB2, but fails to work on this ATI chip
set machine:

usb 1-2: new high speed USB device using ehci_hcd and address 6
usb 1-2: configuration #1 chosen from 1 choice
scsi4 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 4:0:0:0: Direct-Access     Myson    CS8819A2-114  0  1.01 PQ: 0 ANSI: 0 CCS
sd 4:0:0:0: [sdb] 1950720 512-byte hardware sectors (999 MB)
sd 4:0:0:0: [sdb] Write Protect is off
sd 4:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 4:0:0:0: [sdb] Assuming drive cache: write through
sd 4:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : No Sense [current] 
   : Add. Sense: No additional sense information
sd 4:0:0:0: [sdb] 1950720 512-byte hardware sectors (999 MB)
sd 4:0:0:0: [sdb] Write Protect is off
sd 4:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 4:0:0:0: [sdb] Assuming drive cache: write through
 sdb:<6>usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: device descriptor read/all, error -110
usb 1-2: reset high speed USB device using ehci_hcd and address 6
sd 4:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdb, sector 0
Buffer I/O error on device sdb, logical block 0
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
sd 4:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdb, sector 0
Buffer I/O error on device sdb, logical block 0
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
sd 4:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdb, sector 0
Buffer I/O error on device sdb, logical block 0
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: device descriptor read/all, error -110
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
sd 4:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdb, sector 0
Buffer I/O error on device sdb, logical block 0
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
sd 4:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdb, sector 0
Buffer I/O error on device sdb, logical block 0
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
usb 1-2: reset high speed USB device using ehci_hcd and address 6
[fkooman@localhost ~]$ 

I'll attach dmesg and lspci
Comment 11 François Kooman 2008-01-13 18:26:09 EST
Created attachment 291520 [details]
lspci of this ati chipset machine
Comment 12 François Kooman 2008-01-13 18:26:49 EST
Created attachment 291521 [details]
dmesg of this ati chip set machine
Comment 13 François Kooman 2008-02-23 18:18:06 EST
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/61235

This seems to be the same bug / related.
Comment 14 François Kooman 2008-05-02 10:44:20 EDT
I tested with Windows XP and Vista on this system. In Windows XP transfer is so
slow (fallback to USB 1 speeds?). In Vista: crash and burn (crashing explorer,
unable to reboot...). Worse than Fedora.
Comment 15 Bug Zapper 2008-11-26 01:48:03 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-01-09 01:51:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.